Jump to content


Photo

Emby For Kodi

Emby Kodi server 4.0

Best Answer Angelblue05 , 20 January 2019 - 09:14 AM

Hmm. You can get the dependencies here: http://kodi.emby.media/

Under public testing > dependencies > beta. Install the ones 0.13 Go to the full post


  • This topic is locked This topic is locked
29 replies to this topic

#1 lardners OFFLINE  

lardners

    Member

  • Members
  • 14 posts
  • Local time: 10:39 PM

Posted 20 January 2019 - 08:59 AM

My Emby server was upgraded to 4.0 and it has messed up Kodi.

TV shows have disappeared from Kodi.

Every time I start Kodi, an Emby for Kodi sign in screen appears.

Movies I added last year are appearing under recently added movies.

How do I fix this?



#2 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 09:00 AM

Update to the beta version of Emby for Kodi.

#3 lardners OFFLINE  

lardners

    Member

  • Members
  • 14 posts
  • Local time: 10:39 PM

Posted 20 January 2019 - 09:06 AM

I have installed from zip, repository.beta.emby.kodi-1.0.6.zip 

Then tried installing the update, but it says 'Failed to install a dependency'


  • Angelblue05 likes this

#4 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 09:14 AM   Best Answer

Hmm. You can get the dependencies here: http://kodi.emby.media/

Under public testing > dependencies > beta. Install the ones 0.13
  • lardners likes this

#5 lardners OFFLINE  

lardners

    Member

  • Members
  • 14 posts
  • Local time: 10:39 PM

Posted 20 January 2019 - 09:52 AM

All good now, thanks for the help, much appreciated.



#6 838Joel OFFLINE  

838Joel

    Advanced Member

  • Members
  • 41 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 03:06 PM

Hi,

 

Have the same problem. But now I'm trying to use Kodi 18RC with all the Emby plugin beta latest, and not able to sync.

 

Any idea!?

 

Kodi 18RC, Emby for Kodi 3.1.45a, Emby Server 4.0.0.2 and Server Plugin Kodi Companion 2.0.9.0.


Edited by 838Joel, 20 January 2019 - 03:07 PM.


#7 838Joel OFFLINE  

838Joel

    Advanced Member

  • Members
  • 41 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 05:01 PM

Did the same setup with Kodi 17.6, and all is good!

 

What need to be done to make it work with Kodi 18RC?



#8 sualfred OFFLINE  

sualfred

    The Embuary guy

  • Developers
  • 1726 posts
  • Local time: 12:39 AM
  • LocationGermany

Posted 20 January 2019 - 05:21 PM

Without a Kodi log and a detailed error description you won't get any help. Please take a look at the pinned thread "How to report a problem"



#9 838Joel OFFLINE  

838Joel

    Advanced Member

  • Members
  • 41 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 06:54 PM

Without a Kodi log and a detailed error description you won't get any help. Please take a look at the pinned thread "How to report a problem"

Thank Sualfred, found the way into Kodi thread "How to report a problem"...


  • Angelblue05 likes this

#10 838Joel OFFLINE  

838Joel

    Advanced Member

  • Members
  • 41 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 06:59 PM

So, here is the info:

 

Setup: Kodi 18RC, Emby for Kodi 3.1.45a, Emby Server 4.0.0.2 and Server Plugin Kodi Companion 2.0.9.0.

 

Error is "Something went wrong during the sync. You'll be able to restore progress when restarting Kodi. If the problem persists, please report on the Emby for Kody forums, with your Kodi log."

 

And here is the log: https://paste.kodi.tv/quziyecunu

 

Thanks again,

Joel


  • Angelblue05 likes this

#11 mrf0ster OFFLINE  

mrf0ster

    Advanced Member

  • Members
  • 65 posts
  • Local time: 09:39 AM
  • LocationMelbourne

Posted 20 January 2019 - 07:35 PM

Hello all, am I right in assuming that the latest version of Kodi needs to be installed, ie version 18.

I only ask because after installing Emby Server V4, and after adding the beta version of Emby Kodi from the beta repository, I still got skin crashes when in version 17, and the scan kept crashing asking me to resume.

But I didn’t get that error when Kodi version 18 was installed.

I am only checking because I hate the skins in V18 as Amber is no longer available, and my little family group are used to it.

Is that what we have to do, or is ther some sneaky little trick we can do in version 17 of Kodi that will be compatible with Emby Server 4 and Amber skin?

Thanks in advance for any assistance and or suggestions.

Cheers Mark

#12 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 07:52 PM

So, here is the info:

Setup: Kodi 18RC, Emby for Kodi 3.1.45a, Emby Server 4.0.0.2 and Server Plugin Kodi Companion 2.0.9.0.

Error is "Something went wrong during the sync. You'll be able to restore progress when restarting Kodi. If the problem persists, please report on the Emby for Kody forums, with your Kodi log."

And here is the log: https://paste.kodi.tv/quziyecunu

Thanks again,
Joel


Thanks for providing your log. I will look into it and get back to you on this.
  • 838Joel likes this

#13 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 07:54 PM

Hello all, am I right in assuming that the latest version of Kodi needs to be installed, ie version 18.

I only ask because after installing Emby Server V4, and after adding the beta version of Emby Kodi from the beta repository, I still got skin crashes when in version 17, and the scan kept crashing asking me to resume.

But I didn’t get that error when Kodi version 18 was installed.

I am only checking because I hate the skins in V18 as Amber is no longer available, and my little family group are used to it.

Is that what we have to do, or is ther some sneaky little trick we can do in version 17 of Kodi that will be compatible with Emby Server 4 and Amber skin?

Thanks in advance for any assistance and or suggestions.

Cheers Mark


You can use Krypton or Leia. Is the crash repeatable? What does your Kodi log say?

#14 mrf0ster OFFLINE  

mrf0ster

    Advanced Member

  • Members
  • 65 posts
  • Local time: 09:39 AM
  • LocationMelbourne

Posted 20 January 2019 - 08:10 PM

Ah, I will try this tonight and add a log if it fails.

Cheers Mark

#15 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 08:11 PM

@838Joel

 

I see the issue is for some reason, your MyVideos109.db has been more recently edited than all your other databases and so it's writing to MyVideos109.db instead of MyVideos116.db

 

I will have a look at a fix for that, You can fix it right now, by deleting MyVideos109.db which resides in your Kodi userdata/databases folder.



#16 838Joel OFFLINE  

838Joel

    Advanced Member

  • Members
  • 41 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 11:17 PM

@838Joel

 

I see the issue is for some reason, your MyVideos109.db has been more recently edited than all your other databases and so it's writing to MyVideos109.db instead of MyVideos116.db

 

I will have a look at a fix for that, You can fix it right now, by deleting MyVideos109.db which resides in your Kodi userdata/databases folder.

Ok I will try that delete and get back to you!



#17 838Joel OFFLINE  

838Joel

    Advanced Member

  • Members
  • 41 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 11:23 PM

@838Joel

 

I see the issue is for some reason, your MyVideos109.db has been more recently edited than all your other databases and so it's writing to MyVideos109.db instead of MyVideos116.db

 

I will have a look at a fix for that, You can fix it right now, by deleting MyVideos109.db which resides in your Kodi userdata/databases folder.

You were right Angelblue05! Now it started to scan the media! Thanks a million!


  • Angelblue05 likes this

#18 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 20 January 2019 - 11:26 PM

Thank you for reporting back. I am trying to nail down the database discovery process. Perhaps I will remove it if I’m not happy with it in the end. To be determined.
  • 838Joel likes this

#19 mrf0ster OFFLINE  

mrf0ster

    Advanced Member

  • Members
  • 65 posts
  • Local time: 09:39 AM
  • LocationMelbourne

Posted 21 January 2019 - 06:37 AM

I tried again tonight with OpenELEC 8.0.4, and NOOBs installing LibreELEC on my 3 separate RPI'2. (Just so we can keep the familiar amber skin)

I think, and I am only guessing that the SD Card may be a issue. On all 3 Raspberry PI's I have, the same card kept crashing when doing the first media scan after connecting to Emby on both Libre and Open. I had to restart it 5 times on both OS', but in the end, it did get there.

The other 2 cards were fine with both Libre and Open,and the scan finished without restarts, so go figure. 

 

Cheers Mark


  • Angelblue05 likes this

#20 Angelblue05 OFFLINE  

Angelblue05

    Advanced Member

  • Developers
  • 13005 posts
  • Local time: 05:39 PM

Posted 21 January 2019 - 07:39 AM

If ever you feel up to it, can you test with cache artwork disabled. See if that makes a difference. 







Also tagged with one or more of these keywords: Emby, Kodi, server 4.0

0 user(s) are reading this topic

0 members, 0 guests, 0 anonymous users